package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface IntUnaryOperator
{
    public abstract int applyAsInt(int p0);
    
    default public IntUnaryOperator compose(IntUnaryOperator obj) {
        Objects.requireNonNull(obj);
        return n2/* int, */ -> this.applyAsInt(p0.applyAsInt(n2));
    }
    
    default public IntUnaryOperator andThen(IntUnaryOperator obj) {
        Objects.requireNonNull(obj);
        return n2/* int, */ -> p0.applyAsInt(this.applyAsInt(n2));
    }
    
    public static IntUnaryOperator identity() {
        return n/* int, */ -> n;
    }
}
